[arch-commits] Commit in dmxproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 1 00:15:23 EDT 2009


    Date: Wednesday, April 1, 2009 @ 00:15:23
  Author: eric
Revision: 32491

upgpkg: dmxproto 2.2.2-2
    Added license

Modified:
  dmxproto/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-01 03:19:22 UTC (rev 32490)
+++ PKGBUILD	2009-04-01 04:15:23 UTC (rev 32491)
@@ -3,17 +3,19 @@
 
 pkgname=dmxproto
 pkgver=2.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Distributed Multihead X extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('d80acad88411e7944b9b085463d53302')
 sha1sums=('80c573166ec3b9f17893e2fff84ce0107045faac')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list